Bug 509457 - System's subscribed, not returning the correct number on ChannelDetail.do
System's subscribed, not returning the correct number on ChannelDetail.do
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Shannon Hughes
Jan Pazdziora
https://grandprix.rhndev.redhat.com/r...
:
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-07-02 17:17 EDT by wes hayutin
Modified: 2009-09-10 15:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:49:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
png 1 (147.99 KB, image/png)
2009-07-02 17:18 EDT, wes hayutin
no flags Details
png 2 (166.79 KB, image/png)
2009-07-02 17:22 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2009-07-02 17:17:23 EDT
Description of problem:

https://grandprix.rhndev.redhat.com/rhn/channels/ChannelDetail.do

# of systems is not correct..
reporting 0, actual is more than that..
Comment 1 wes hayutin 2009-07-02 17:18:14 EDT
Created attachment 350353 [details]
png 1
Comment 2 wes hayutin 2009-07-02 17:22:00 EDT
Created attachment 350354 [details]
png 2
Comment 3 Clifford Perry 2009-07-06 09:52:41 EDT
Is this a multi-org channel sharing issue - would like to understand this better. Are these the systems within org, or incorrectly displayed from another org? 

Shannon - please look to see if there is a bug here - depending, puntable. 

cliff
Comment 4 Shannon Hughes 2009-07-06 15:53:27 EDT
yes, bug here. sending the query user id twice instead of orgid, 

vader commit, 

8e3622ab6dd63e8f7edd3baaacfe7528ccbc74f7
Comment 5 Shannon Hughes 2009-07-08 14:00:22 EDT
mass move to onqa
Comment 6 Jan Pazdziora 2009-07-10 08:33:11 EDT
On Satellite installed from Satellite-5.3.0-RHEL5-re20090707.0, the information on the /rhn/channels/ChannelDetail.do page is in sync with the number of systems registered to the channel and number of systems shown by /rhn/channels/ChannelSubscribers.do.

Therefore, marking as VERIFIED.
Comment 7 Jeff Browning 2009-07-30 16:19:35 EDT
tested on test1182.test.redhat.com
Comment 8 Brandon Perkins 2009-09-10 15:49:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.